#ifndef _Cluster_
#define _Cluster_

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// Cluster                                                              //
//                                                                      //
// Description of the cluster-dependent information in the              //
// single event and dcs monitor parameters                              //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#include "TObject.h"
#include "TClonesArray.h"

class Cluster : public TObject {

 private:
  Double_t     fdJNclu;      // differ. (in Julian) between J of single event 
  Double_t     fVpd;         // monitor Vpd alimentaz. receiver Local Station

 public:
  Cluster();
  Cluster(const Cluster& orig);
  Cluster(Double_t dJNclu, Double_t Vpd); 
  virtual ~Cluster() {}
  void Clear();
  Double_t       GetdJNclu() { return fdJNclu; }
  Double_t       GetVpd() { return fVpd; }

  ClassDef(Cluster,1)  //Cluster-dependent data  structure

};


#endif
