/////////////////////////////////////////////////////////////////////////////////
//                                                                             // 
//              SingleEvent  class                                             //
//              ================================                               //
//                                                                             //
// class for the single particle acquisition of Argo                           //
// the class is designed to contain the values of the scaler for all the       //
// cluster and the Julian day of the acquisition, together with  the monitore  // 
//  the monitored quantities  from dcs acquisition files                       //
//                                                                             // 
/////////////////////////////////////////////////////////////////////////////////

#include "SingleEvent.h"

ClassImp(SingleEvent)

TClonesArray  *SingleEvent::fgClusters = 0;

//______________________________________________________________________________
SingleEvent::SingleEvent()
{
// Create a SingleEvent 
// When the constructor is invoked for the first time, the class static
// variable fgTracks is 0 and the TClonesArray fgTracks is created.

   if (!fgClusters) fgClusters = new TClonesArray("Cluster", 100);
   fClusters = fgClusters;
   fNCluster = 0;
   fTemperature = -10000.;
   fPressure = -10000.;
   fDJT = -10000.;
   fDJP = -10000.;
   fDeltaTAcq = -10000.;
}

//______________________________________________________________________________
Cluster *SingleEvent::AddCluster(Double_t dJNclu, Double_t Vpd)
{
   TClonesArray &clusters = *fClusters;
   Cluster *cluster = new(clusters[fNCluster++]) Cluster(dJNclu,Vpd);

  return cluster;

}

//______________________________________________________________________________
SingleEvent::~SingleEvent()
{
  fClusters->Clear();
  delete fClusters;

}

//______________________________________________________________________________
