#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "grbevent.h"

#include "Riostream.h"
#include "TROOT.h"
#include "TFile.h"
#include "TTree.h"
#include "TBranch.h"
#include "TClonesArray.h"
#include "Tinclude/SingleEvent.h"
#include "Tinclude/Cluster.h"



/////////////////////////////////////////////////////////////////////////
//-----------------------------------------------------------------
int prova()
{

//**************************************************************


  // OPEN file root for the data tree
  TFile *of=new TFile("Prova.root","RECREATE","TTree containing data and dcs");

//   // Authorize Trees up to 2 Terabytes (if the system can do it!)
  TTree::SetMaxTreeSize(1000*Long64_t(2000000000));

  TTree *Sing = new TTree("Single","Single event of ARGO"); 
  Sing->SetAutoSave(1000000000);     // autosave when 1Gbyte written
  Int_t branchStyle=1.;
  TTree::SetBranchStyle(branchStyle);
  Int_t bufsize = 64000;
  Int_t split = 1;
  if(split) { bufsize /= 4; }
  SingleEvent *eventsingle = new SingleEvent();

  TBranch *BEv = Sing->Branch("EventBranch","SingleEvent",&eventsingle,bufsize,split);
  BEv->SetAutoDelete(kFALSE);

  for(Int_t i=0; i<10; i++) {
    //                 ====> set values in the event class object
      eventsingle->SetNCluster(20);
      eventsingle->SetTemperature(12.);
      eventsingle->SetPressure(630.);
      eventsingle->SetDJT(0.002);
      eventsingle->SetDJP(0.001);
      for(Int_t i=0;i<20;i++) {
	Double_t Vpd =10.;
	Double_t Jday = 3000.;
	Cluster *c = eventsingle->AddCluster(Jday,Vpd);
	cout << "Check Add c= " << c << endl;
     } 
     //                 ====> fill the tree
      TClonesArray *clu = eventsingle->GetClusters() ;
      cout << "Number of non-zero object = " << clu->GetEntries() <<endl;
      Cluster* cluzero = clu->At(0);
      cout << "cluzero = " << cluzero << endl;
      Sing->Fill();
      delete eventsingle;
  }

  //**************************************************************
  Sing->Write();
  of->Close();
}
